﻿#nullable disable
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using SQLSlite_Test.Data;
using SQLSlite_Test.Models;

namespace SQLSlite_Test.Pages.Posts
{
    public class IndexModel : PageModel
    {
        private readonly SQLSlite_Test.Data.ApplicationDbContext _context;

        public IndexModel(SQLSlite_Test.Data.ApplicationDbContext context)
        {
            _context = context;
        }

        public IList<Post> Post { get;set; }

        public async Task OnGetAsync()
        {
            Post = await _context.Posts.ToListAsync();
        }
    }
}
