﻿using Microsoft.EntityFrameworkCore;
using SQLSlite_Test.Models;

namespace SQLSlite_Test.Data
{
    public class ApplicationDbContext : DbContext
    {
        public DbSet<Post> Posts { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlite(@"Data source=Data\\App.db");
        }
    }
}
